Bug 880545 - Include exchange-bmc-os-info start-up script and config files to ipmitool package
Summary: Include exchange-bmc-os-info start-up script and config files to ipmitool pac...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ipmitool
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Praveen K Paladugu
QA Contact:
URL:
Whiteboard:
Depends On: 857878
Blocks: 782021 782023 782024
TreeView+ depends on / blocked
 
Reported: 2012-11-27 09:54 UTC by Charles Rose
Modified: 2013-01-12 01:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:09:02 UTC
Type: Bug


Attachments (Terms of Use)
Patch to SPEC File (2.21 KB, patch)
2012-11-28 06:57 UTC, Charles Rose
no flags Details | Diff
exchange-bmc-os-info start-up script (7.76 KB, text/plain)
2012-11-28 07:32 UTC, Charles Rose
no flags Details
exchange-bmc-os-info systemd unit (258 bytes, text/plain)
2012-11-28 07:32 UTC, Charles Rose
no flags Details
exchange-bmc-os-info config file (850 bytes, text/plain)
2012-11-28 07:33 UTC, Charles Rose
no flags Details
set-bmc-url.sh login profile script (193 bytes, application/x-sh)
2012-11-28 07:33 UTC, Charles Rose
no flags Details
Patch to SPEC File (2.27 KB, patch)
2012-11-29 07:19 UTC, Charles Rose
no flags Details | Diff
Source RPM incorporating exchange-bmc-os-info script (693.35 KB, application/x-rpm)
2012-11-29 07:20 UTC, Charles Rose
no flags Details
exchange-bmc-os-info systemd unit (280 bytes, text/plain)
2012-12-17 07:41 UTC, Charles Rose
no flags Details

Description Charles Rose 2012-11-27 09:54:31 UTC
Description of problem:
Include exchange-bmc-os-info start-up script and config files to ipmitool package.

This[1] script helps set OS Name, Version, Hostname to the Service Processor and makes the Service Processor's IP and URL available in the OS (/var/run/bmc-info).

This will add these files to the ipmitool package. I will upload a patch to this bugzilla that can be applied to current ipmitool in F18.
1. exchange-bmc-os-info start-up script
2. exchange-bmc-os-info systemd unit
3. /etc/sysconfig/exchange-bmc-os-info.conf
4. /etc/profile.d/set-bmc-url.sh

Version-Release number of selected component (if applicable):
Post ipmitool-1.8.12 (see [2] for upstream discussion)

Usage:
1. Start the service
   # systemctl start exchange-bmc-os-info
2. Login as a privileged user
3. Connect to the Service Processors' Web Console:
   # xdg-open $BMC_URL

[1] http://sourceforge.net/tracker/?func=detail&aid=3571445&group_id=95200&atid=610553
[2] http://sourceforge.net/mailarchive/message.php?msg_id=29982028

Comment 1 Charles Rose 2012-11-28 06:57:29 UTC
Created attachment 653313 [details]
Patch to SPEC File

SPEC file patch containing addition of files that provide the exchange-bmc-os-info script.

Comment 2 Charles Rose 2012-11-28 07:32:25 UTC
Created attachment 653316 [details]
exchange-bmc-os-info start-up script

Comment 3 Charles Rose 2012-11-28 07:32:55 UTC
Created attachment 653317 [details]
exchange-bmc-os-info systemd unit

Comment 4 Charles Rose 2012-11-28 07:33:22 UTC
Created attachment 653318 [details]
exchange-bmc-os-info config file

Comment 5 Charles Rose 2012-11-28 07:33:58 UTC
Created attachment 653319 [details]
set-bmc-url.sh login profile script

Comment 6 Charles Rose 2012-11-29 07:19:06 UTC
Created attachment 654020 [details]
Patch to SPEC File

Patch against ipmitool-1.8.12-6.f18

Comment 7 Charles Rose 2012-11-29 07:20:52 UTC
Created attachment 654021 [details]
Source RPM incorporating exchange-bmc-os-info script

Source RPM with exchange-bmc-os-info script.

Tested on Dell PowerEdge R720.

Comment 8 Fedora Update System 2012-12-13 23:30:04 UTC
ipmitool-1.8.12-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ipmitool-1.8.12-8.fc18

Comment 9 Fedora Update System 2012-12-14 06:48:06 UTC
Package ipmitool-1.8.12-8.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ipmitool-1.8.12-8.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20345/ipmitool-1.8.12-8.fc18
then log in and leave karma (feedback).

Comment 10 Charles Rose 2012-12-17 07:41:31 UTC
Created attachment 664720 [details]
exchange-bmc-os-info systemd unit

We need "Requires" in addition to "After" to ensure that starting exchange-bmc-os-info starts ipmi.service if it is not running already.

Comment 11 Fedora Update System 2012-12-17 16:47:29 UTC
ipmitool-1.8.12-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ipmitool-1.8.12-9.fc18

Comment 12 Fedora Update System 2013-01-12 01:09:05 UTC
ipmitool-1.8.12-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.